DEFINES = -DCONFIG_CTRL_IFACE -DCONFIG_CTRL_IFACE_UDP -DCONFIG_DRIVER_NDIS -DCONFIG_WINPCAP -DIEEE8021X_EAPOL -DEAP_PSK


CFLAGS = -c -MMD -O0 -Wall -g -I..\hostapd
#------------------------------------------------------------------------------
#  A list of all of the object files
#------------------------------------------------------------------------------
OBJS = wpa_supplicant.o wpa_ctrl.o ctrl_iface.o ctrl_iface_udp.o main.o tls_none.o eap_psk_common.o eap_psk.o eap.o eapol_sm.o drivers.o l2packet.o os_os2.o base64.o preauth.o events.o driver_ndis.o md5.o aes_wrap.o rc4.o sha1.o wpa.o config_file.o config.o packet32.o common.o eloop.o

wpa_cli.o: wpa_cli.c
    gcc $(DEFINES) $(CFLAGS) wpa_cli.c

ctrl_iface_udp.o: ctrl_iface_udp.c
    gcc $(DEFINES) $(CFLAGS) ctrl_iface_udp.c

ctrl_iface.o: ctrl_iface.c
    gcc $(DEFINES) $(CFLAGS) ctrl_iface.c

wpa_supplicant.o: wpa_supplicant.c
    gcc $(DEFINES) $(CFLAGS) wpa_supplicant.c

events.o: events.c
    gcc $(DEFINES) $(CFLAGS) events.c

eapol_sm.o: eapol_sm.c
    gcc $(DEFINES) $(CFLAGS) eapol_sm.c

tls_none.o: tls_none.c
    gcc $(DEFINES) $(CFLAGS) tls_none.c

eap.o: eap.c
    gcc $(DEFINES) $(CFLAGS) eap.c

eap_psk.o: eap_psk.c
    gcc $(DEFINES) $(CFLAGS) eap_psk.c

eap_psk_common.o: eap_psk_common.c
    gcc $(DEFINES) $(CFLAGS) eap_psk_common.c

main.o: main.c
    gcc $(DEFINES) $(CFLAGS) main.c

preauth.o: preauth.c
    gcc $(DEFINES) $(CFLAGS) preauth.c

driver_ndis.o: driver_ndis.c
    gcc $(DEFINES) $(CFLAGS) driver_ndis.c

base64.o: base64.c
    gcc $(DEFINES) $(CFLAGS) base64.c

common.o: ..\hostapd\common.c
    gcc $(DEFINES) $(CFLAGS) ..\hostapd\common.c


drivers.o: drivers.c
    gcc $(DEFINES) $(CFLAGS) drivers.c

eloop.o: ..\hostapd\eloop.c
    gcc $(DEFINES) $(CFLAGS) ..\hostapd\eloop.c

os_os2.o: ..\hostapd\os_os2.c
    gcc $(DEFINES) $(CFLAGS) ..\hostapd\os_os2.c

packet32.o: packet32.c
    gcc $(DEFINES) $(CFLAGS) packet32.c

config.o: config.c
    gcc $(DEFINES) $(CFLAGS) config.c

config_file.o: config_file.c
    gcc $(DEFINES) $(CFLAGS) config_file.c

l2packet.o: l2packet.c
    gcc $(DEFINES) $(CFLAGS) l2packet.c

wpa_ctrl.o: wpa_ctrl.c
    gcc $(DEFINES) $(CFLAGS) wpa_ctrl.c

wpa.o: wpa.c
    gcc $(DEFINES) $(CFLAGS) wpa.c

sha1.o: ..\hostapd\sha1.c
    gcc $(DEFINES) $(CFLAGS) ..\hostapd\sha1.c

md5.o: ..\hostapd\md5.c
    gcc $(DEFINES) $(CFLAGS) ..\hostapd\md5.c

rc4.o: ..\hostapd\rc4.c
    gcc $(DEFINES) $(CFLAGS) ..\hostapd\rc4.c

aes_wrap.o: ..\hostapd\aes_wrap.c
    gcc $(DEFINES) $(CFLAGS) ..\hostapd\aes_wrap.c

wpaSos2.exe: $(OBJS)
    gcc $(OBJS) -llibsocket -o wpaSos2.exe


wpa_cli.exe: wpa_cli.o  os_os2.o wpa_ctrl.o
    gcc wpa_cli.o os_os2.o wpa_ctrl.o -llibsocket
