#include "hos2.h"


#define     GENMAC_CATEGORY         0x99
#define     GENMAC_WRAPPER_OID_GET  0x40
#define     GENMAC_WRAPPER_OID_SET  0x41

#define INCL_DOS
#include <os2.h>


unsigned short bswap_16( unsigned short s )
{
    return (s << 8) | (s >> 8) ;
}

void daemon(int a,int b )
{
        printf("daemon( %d,%d)\n",a,b);
        exit(0);
}


void alarm(int a )
{
        printf("alarm(%d)\n",a);
        exit(0);
}

//----------------------------------------------------------------------------
int _Os2OpenDev(char *name)
{
    long openmode,rc,Handle,Action;
    openmode = OPEN_FLAGS_NOINHERIT|OPEN_ACCESS_READWRITE|OPEN_SHARE_DENYNONE;
    rc = DosOpen( (PSZ)name,&Handle,&Action,0,0,0x01,openmode,0);
    if( rc )return -1 ;
    return Handle ;
}
//----------------------------------------------------------------------------
int _Os2CloseDev(int Handle)
{
    DosClose(Handle);
}
//----------------------------------------------------------------------------
int _Os2GetOid( int Handle, int Oid, char *Buffer, int len)
{
    ULONG ParmInOut,DataInOut,Action,rc ;
    ULONG   Paras[10] ;
    Paras[0]  = 0 ;
    ParmInOut = 10*4 ;
    DataInOut = len ;

    Paras[0] = Oid ;
    Paras[1] = len ;

    memset(Buffer,0,len);
//  DosSleep(100);

    rc = DosDevIOCtl( Handle,GENMAC_CATEGORY,GENMAC_WRAPPER_OID_GET,
                      &Paras[0],ParmInOut,&ParmInOut,
                      Buffer,DataInOut,&DataInOut);

    if(rc)return -1 ;
    if( Paras[3] )return -1 ;
    return Paras[2] ;

}
//----------------------------------------------------------------------------
int _Os2SetOid( int Handle, int Oid, char *Buffer, int len)
{
    ULONG ParmInOut,DataInOut,Action ;

    ULONG   Paras[10] ;

    ParmInOut = 10*4 ;
    DataInOut = len  ;

    Paras[0] = Oid ;
    Paras[1] = len ;

    int rc = DosDevIOCtl( Handle,GENMAC_CATEGORY,GENMAC_WRAPPER_OID_SET,
                          &Paras[0],ParmInOut,&ParmInOut,
                          &Buffer[0],DataInOut,&DataInOut);

    if(rc)return -1 ;
    return Paras[2] ;

}
